## ros-noetic-hector-models 0.5.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.0)
project(hector_models)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-noetic-hector-models (0.5.2-1buster) buster; urgency=high

  * Apparently metapackages can't have a version set.
  * Updated package format version, maintainer and CMakeLists.txt to conform to CMP0048.
  * Contributors: Stefan Fabian

 -- Stefan Fabian <fabian@sim.tu-darmstadt.de>  Wed, 03 Feb 2021 00:00:00 -0000

ros-noetic-hector-models (0.5.1-1buster) buster; urgency=high



 -- Stefan Fabian <fabian@sim.tu-darmstadt.de>  Thu, 17 Dec 2020 00:00:00 -0000

ros-noetic-hector-models (0.5.0-1buster) buster; urgency=high



 -- Johannes Meyer <johannes@intermodalics.eu>  Fri, 29 Jun 2018 00:00:00 -0000

ros-noetic-hector-models (0.4.2-1buster) buster; urgency=high



 -- Johannes Meyer <johannes@intermodalics.eu>  Fri, 24 Jun 2016 00:00:00 -0000

ros-noetic-hector-models (0.4.1-1buster) buster; urgency=high



 -- Johannes Meyer <johannes@intermodalics.eu>  Sun, 08 Nov 2015 00:00:00 -0000

ros-noetic-hector-models (0.4.0-1buster) buster; urgency=high



 -- Johannes Meyer <johannes@intermodalics.eu>  Sat, 07 Nov 2015 00:00:00 -0000

ros-noetic-hector-models (0.3.2-1buster) buster; urgency=high



 -- Johannes Meyer <johannes@intermodalics.eu>  Mon, 01 Sep 2014 00:00:00 -0000

ros-noetic-hector-models (0.3.1-1buster) buster; urgency=high

  * made hector_models a true metapackage
  * Moved package hector_sensors_gazebo to ../hector_gazebo
  * Contributors: Johannes Meyer

 -- Johannes Meyer <johannes@intermodalics.eu>  Sun, 30 Mar 2014 00:00:00 -0000

ros-noetic-hector-models (0.3.0-1buster) buster; urgency=high

  * catkinized stack hector_models

 -- Johannes Meyer <johannes@intermodalics.eu>  Mon, 02 Sep 2013 00:00:00 -0000

=== debian/control ===
Source: ros-noetic-hector-models
Section: misc
Priority: optional
Maintainer: Stefan Fabian <fabian@sim.tu-darmstadt.de>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: http://ros.org/wiki/hector_models
Standards-Version: 3.9.2

Package: ros-noetic-hector-models
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-hector-sensors-description, ros-noetic-hector-xacro-tools
Description: hector_models contains (urdf) models of robots, sensors etc.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-hector-models//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
